require 'sketchup.rb'

module Clothworks
  attr_reader :installer_extension
  require 'extensions.rb'

  def self.load_extension
    @installer_extension = SketchupExtension.new "Clothworks installer", "clothworks_installer/install_clothworks.rb"
    @installer_extension.version = '1.0'
    @installer_extension.copyright = "Clothworks"
    @installer_extension.creator = "Clothworks"
    @installer_extension.description = 'Extension to install Clothworks'
    Sketchup.register_extension @installer_extension, true
  end

  def self.remove_clothworks
    begin
      if File.exist?(Sketchup.find_support_file("Plugins")+ "/clothworks_installer.rb")
        File.delete(Sketchup.find_support_file("Plugins")+ "/clothworks_installer.rb")
        FileUtils.rm_rf(Sketchup.find_support_file("Plugins")+ "/clothworks_installer")
      end

    rescue Interrupt => error
      UI.messagebox("Extension installation was interrupted. Error: #{error}")
    rescue Exception => error
      UI.messagebox("Extension installation Error: #{error}")
    end
  end

  if Sketchup.version[0..0].to_i == 9
    su_version = Sketchup.version[0..1].to_i - 70
  else
    su_version = Sketchup.version[0..1].to_i
  end

  load_extension
end



