module Clothworks
  require 'fileutils'

  def self.install_clothworks
    begin
      Sketchup.install_from_archive(Sketchup.find_support_file("Plugins") + "/clothworks_installer/clothworks.rbz")

      if File.exist?(Sketchup.find_support_file("Plugins")+ "/clothworks_installer.rb")
        File.delete(Sketchup.find_support_file("Plugins")+ "/clothworks_installer.rb")
        FileUtils.rm_rf(Sketchup.find_support_file("Plugins")+ "/clothworks_installer")
      end

    rescue Interrupt => error
      UI.messagebox("扩展安装中断。错误： #{error}")
    rescue Exception => error
      UI.messagebox("扩展安装错误： #{error}")
    end
  end

  def self.message
    result = nil
    update_text = '要完成 Clothworks 的安装，SketchUp 将被关闭！请稍候，然后重新启动 SketchUp。'

    until result == IDOK
      result = UI.messagebox(update_text)
    end
  end

  File.delete(Sketchup.find_support_file("Plugins") + "/ams_ClothWorks.rb") if File.exist?(Sketchup.find_support_file("Plugins")+ "/ams_ClothWorks.rb")
  
  FileUtils.rm_rf(Sketchup.find_support_file("Plugins") + "/ams_ClothWorks/")

  install_ready = Sketchup.find_support_file("Plugins") + "/clothworks_installer/install_ready.clothworks"

  if File.exist?(install_ready)
    Clothworks.stop_clothworks if defined?(CLOTHWORKS_VERSION) == 'constant'
    File.delete(install_ready)

    message
    UI.start_timer(1, false){Sketchup.quit} unless caller.to_s.include?('Clothworks_info.rb') #update
  else
    install_clothworks
  end
end
